Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members

# SoTextureCoordinateEnvironment Class Reference
[Nodes]

The SoTextureCoordinateEnvironment class generates texture coordinates by projecting onto a surrounding texture. More...

`#include <Inventor/nodes/SoTextureCoordinateEnvironment.h>`

Inheritance diagram for SoTextureCoordinateEnvironment:

List of all members.

## Public Methods
| SoTextureCoordinateEnvironment (void)
virtual void | doAction (SoAction *action)
virtual void | GLRender (SoGLRenderAction *action)
virtual void | pick (SoPickAction *action)
virtual void | callback (SoCallbackAction *action)
## Static Public Methods
void | initClass (void)
## Protected Methods
virtual | ~SoTextureCoordinateEnvironment ()

## Detailed Description

The SoTextureCoordinateEnvironment class generates texture coordinates by projecting onto a surrounding texture.

The texture specifying the enviroment will be mapped around the scenegraph below this node using a sphere. The texture will be mapped onto the scenegraph taking camera position into account. This will lead to an object reflecting its enviroment.

Here is a scenegraph example showing how enviroment mapping can be applied to an object:

`Inventor V2.1 ascii`

Separator {

Texture2 { filename "ocean.jpg" # the enviroment, in this case ocean } TextureCoordinateEnvironment {}

Cube {} # the enviromentally mapped object }

## Constructor & Destructor Documentation

SoTextureCoordinateEnvironment::SoTextureCoordinateEnvironment | ( | void |  | ) |

| Constructor.

SoTextureCoordinateEnvironment::~SoTextureCoordinateEnvironment | ( |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void SoTextureCoordinateEnvironment::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoTextureCoordinateFunction.

void SoTextureCoordinateEnvironment::doAction | ( | SoAction * | action | ) | `[virtual]`

| This function performs the typical operation of a node for any action. Reimplemented from SoNode.

void SoTextureCoordinateEnvironment::GLRender | ( | SoGLRenderAction * | action | ) | `[virtual]`

| Action method for the SoGLRenderAction. This is called during rendering traversals. Nodes influencing the rendering state in any way or who wants to throw geometry primitives at OpenGL overrides this method. Reimplemented from SoNode.

void SoTextureCoordinateEnvironment::pick | ( | SoPickAction * | action | ) | `[virtual]`

| Action method for SoPickAction. Does common processing for SoPickAction action instances. Reimplemented from SoNode.

void SoTextureCoordinateEnvironment::callback | ( | SoCallbackAction * | action | ) | `[virtual]`

| Action method for SoCallbackAction. Simply updates the state according to how the node behaves for the render action, so the application programmer can use the SoCallbackAction for extracting information about the scene graph. Reimplemented from SoNode.

The documentation for this class was generated from the following files:

- SoTextureCoordinateEnvironment.h
- SoTextureCoordinateEnvironment.cpp